Subject: Re: REQ: winter vegetable recipes (beets, turnips, rutabaga, parsnip)

From: [email-masked] (Lu Bozinovich)
Date: Mon, 6 Mar 1995 09:03:08 GMT

>In article <[email-masked]>, [email-masked]
(Robert) wrote:
>> Does anyone have any good (tasty) winter vegetable recipes using, for
>> example, beets, turnips, rutabagas, and/or parsnips?
 
Well, you can pickle the beets, and braise the beet greens.  I have had
some luck using a mixture of rice vinegar, molasses, and sugar and adding
some salt and some sliced onions.  Then just use as a condiment.  You
can also puree, add vinegar, etc. and some sage -- this makes a pretty
good soup.  Beet greens are one of my favorites, though they may not
exceed or match other greens, nutritionally.  I like to saute in water
and a little olive oil.  Add a dash of vinegar or umeboshi paste, and
roll up in a tortilla!
 
Lu